Favorite an artifact
POST
/v1/artifacts/{id}/favorite
const url = 'https://shareout.site/v1/artifacts/example/favorite';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/artifacts/example/favorite \ --header 'Authorization: Bearer <token>'Idempotent. Any logged-in user for public artifacts; viewer+ for private.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Artifact ID (e.g. art_abc123).
Responses
Section titled “Responses”Favorited
Media typeapplication/json
object
success
boolean
artifact_id
string
favorited
boolean
Examplegenerated
{ "success": true, "artifact_id": "example", "favorited": true}